<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.3.10.3001">
   <title>EKG impression</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]
Item: (EKGImpressionSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section
Item: (EKGImpressionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section"
         id="tmp-9376472f-e615-4b5f-b8f6-2927f033e0a5">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(EKGImpressionSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001'])&gt;=1 ">(EKGImpressionSection): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001'])&lt;=1">(EKGImpressionSection): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EKGImpressionSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(EKGImpressionSection): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EKGImpressionSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:title)&lt;=1">(EKGImpressionSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EKGImpressionSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="count(hl7:text)&lt;=1">(EKGImpressionSection): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']
Item: (EKGImpressionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']"
         id="tmp-f14403c9-ceec-47b8-a3e5-0956a190dacd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.60.3.10.3001'">(EKGImpressionSection): @root SHALL have value '2.16.840.1.113883.3.1937.99.60.3.10.3001'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EKGImpressionSection): @root attribute SHALL be a syntactically correct UUID or OID.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:code
Item: (EKGImpressionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:code"
         id="tmp-bbe7bda2-8766-4247-aafe-65e1048f3029">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20130220T141154/tmp-2.16.840.1.113883.3.1937.99.60.3.10.3001-2013-02-10T000000.html"
              test="@nullFlavor or (@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')">(EKGImpressionSection): The value for @code/@codeSystem SHALL be ''18844-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:title
Item: (EKGImpressionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:title"
         id="tmp-d37af991-52b6-4bad-abf2-c388bc97fed3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:text
Item: (EKGImpressionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]/hl7:section/hl7:text"
         id="tmp-0b333f3c-3127-4421-9ee9-8e3024477176">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
